Bug 2040657 - glibc: More reliable CPU compatibility diagnostics
Summary: glibc: More reliable CPU compatibility diagnostics
Keywords:
Status: CLOSED ERRATA
Alias: None
Deadline: 2022-02-07
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: glibc
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Weimer
QA Contact: Sergey Kolosov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-14 11:38 UTC by Florian Weimer
Modified: 2022-05-17 16:10 UTC (History)
8 users (show)

Fixed In Version: glibc-2.34-20.el9
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-17 15:48:51 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2035158 1 medium CLOSED [ppc64le][RHEL9 guest]qemu-kvm quits silently while booting rhel9 guest with "max-cpu-compat=power8" parameter 2022-07-19 13:29:35 UTC
Red Hat Issue Tracker RHELPLAN-108177 0 None None None 2022-01-14 11:42:06 UTC
Red Hat Product Errata RHBA-2022:3917 0 None None None 2022-05-17 15:49:17 UTC

Internal Links: 2035158

Description Florian Weimer 2022-01-14 11:38:47 UTC
This is prompted by bug 2035158, which shows that we have regressed the diagnostics for running RHEL 9 on POWER8.

I think we need to fix this properly, changing the compiler flags for early startup.

Comment 2 Florian Weimer 2022-01-14 12:45:19 UTC
Patches posted upstream:

[PATCH 0/7] Reliable CPU compatibility diagnostics in ld.so
https://sourceware.org/pipermail/libc-alpha/2022-January/135291.html

Comment 9 errata-xmlrpc 2022-05-17 15:48:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (new packages: glibc), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:3917


Note You need to log in before you can comment on or make changes to this bug.